package org.project.entity.players;

import org.project.entity.Entity;
import org.project.location.GameDisplay;

public class Knight extends Player
{
    public Knight(String name) { super(name, 50, 50, 0); }

    @Override
    public void specialAbility(Entity target)
    {
        if (this.getMp() >= 7)
        {
            super.specialAbility(target);
            System.out.println(GameDisplay.CYAN + "The Knight attacks with a sharp sword! 🗡️💪" + GameDisplay.RESET);
            target.takeDamage(8);
            this.setMp(this.getMp() - 7);
        }
        else System.out.println(GameDisplay.RED + "Knight does not have enough MP to use special ability 😓" + GameDisplay.RESET);
    }
}